
QGIS Application - Bug report #968

don't force polygon for intersection removal when the layer is multipolygon

2008-03-04 12:48 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11027

Description

1. Enable "Avoid intersections of new polygons".

2. In a multipolygon [[PostGIS]] layer, digitize a feature overlapping another one.

3. Try to save changes - error:

INSERT error:

ERROR: new row for relation "test_polygons" violates check constraint "enforce_geotype_the_geom" 

Most likely QGIS makes a polygon during intersection removal although the layer has a multipolygon constraint. QGIS should make a 

multipolygon in such case.

History

#1 - 2008-03-04 12:49 PM - Maciej Sieczka -

For the record: talking about QGIS SVN .

#2 - 2008-04-16 08:47 AM - Maciej Sieczka -

Still valid as of commit:b5286872 (SVN r8353).

#3 - 2008-04-16 10:32 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

A fix for this bug is in commit:16331cf6 (SVN r8358)

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
